grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.22-33-g43f6246


From: Jim Meyering
Subject: grep branch, master, updated. v2.22-33-g43f6246
Date: Mon, 01 Feb 2016 16:13:07 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  43f6246fe82f1f265662fd36044b5fa447f7a1d3 (commit)
      from  2982258caee17e73e1d6d439efdc9f1eccd04e28 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=43f6246fe82f1f265662fd36044b5fa447f7a1d3


commit 43f6246fe82f1f265662fd36044b5fa447f7a1d3
Author: Jim Meyering <address@hidden>
Date:   Mon Feb 1 08:12:29 2016 -0800

    tests/null-byte: test another code path
    
    * tests/null-byte: Also exercise the case in which there is
    a match in the block along with the NUL byte.

diff --git a/tests/null-byte b/tests/null-byte
index 9a76887..1d62806 100755
--- a/tests/null-byte
+++ b/tests/null-byte
@@ -51,9 +51,13 @@ for left in '' a '#' '\0'; do
   done
 done
 
-(echo xxx && yes yyy | sed 100000q && printf '\0') >in || framework_failure_
+(echo xxx && yes yyy | sed 100000q && printf 'z\n\0') >in || framework_failure_
 echo xxx >exp || framework_failure_
 grep xxx in >out || fail=1
 compare exp out || fail=1
 
+printf '%s\n' xxx 'Binary file in matches' > exp || framework_failure_
+grep -E 'xxx|z' in >out || fail=1
+compare exp out || fail=1
+
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/null-byte |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]